t=0:0.01:4;  % time interval [0,4]

x = sin(pi*t); % original signal
plot(t,x);
xlabel('t');
ylabel(' x(t)');
grid on;

t1 = 2:0.01:4;
x1 = sin(pi*(t1-2));
x1 = [zeros(1,length(t)-length(t1)), x1]; % x1(t) = x(t-2)
figure
plot(t,x1);
xlabel('t');
ylabel(' x(t-2)');
grid on;

t2 = -fliplr(t); % time reversal
x2 = sin(pi*(t2)); % x2(t) = x(-t)
figure
plot(t2,x2);
xlabel('t');
ylabel(' x(-t)');
grid on;

t3 = 0:0.01:2;
x3 = sin(pi*2*t3); 
x3 = [x3 zeros(1,length(t)-length(t3))]; % x3(t) = x(2t)
figure
plot(t,x3);
xlabel('t');
ylabel(' x(2t)');
grid on;