t=-2:0.01:2;  % time interval [-2,2]

t0 = 0:0.01:2;
x = [zeros(1,length(t)-length(t0)), ones(1,length(t0))]; % x(t) = u(t)

t1 = -2:0.01:-0.01;; % time reversal
x1 = [ones(1,length(t1)) zeros(1,length(t)-length(t1))]; % x1(t) = u(-t)

x2 = (x + x1)/2; % even function x2(t) = (u(t)+u(-t))/2
plot(t,x2); xlabel('t'); ylabel(' Ev[x(t)]');
axis([-2 2 -0.6 0.6]);
grid on;

x3 = (x - x1)/2; % odd function x3(t) = (u(t)-u(-t))/2
figure
plot(t,x3); xlabel('t'); ylabel(' Od[x(t)]');
axis([-2 2 -0.6 0.6]);
grid on;
