n=[0:30];
x = ones(1,length(n)); % step input
h = (0.8).^n; % impulse response
y = conv(x,h); % convolution sum
stem(n,h);
axis([0,30,-0.2,1.2]);
xlabel ('n');
ylabel('h(n)');
grid on;

figure;
stem(n,y(1:length(n)));
axis([0,30,-0.2,5.2]);
xlabel ('n');
ylabel('y(n)');
grid on;