a=[0 1;-2 -3];
b=[0;2];
c=[1 0];
d=[0];
v0=[0.5;0];
t=0:0.01:5;     % start time:time increment: final time

x= [0*ones(size(t))]';
[y_1,v_1]=lsim(a,b,c,d,x,t,v0);  % call lsim
plot(t,y_1); % Zero input response
axis([0,5,0,1.0]);
xlabel('t');
ylabel('y(t)');
grid on;

figure
x= [1*ones(size(t))]';
[y_2,v_2]=lsim(a,b,c,d,x,t);  % call lsim
plot(t,y_2); % Zero state response
axis([0,5,0,1.0]);
xlabel('t');
ylabel('y(t)');
grid on;

figure
x= [1*ones(size(t))]';
[y_3,v_3]=lsim(a,b,c,d,x,t,v0);  % call lsim
plot(t,y_3); %Unit impulse response
axis([0,5,0,1.0]);
xlabel('t');
ylabel('y(t)');
grid on;

