a=[0 1;-1/6 5/6];
b=[0;1];
c=[-1/6 5/6];
d=[1];
v0=[1;0];
n=0:1:20;     
x= [0*ones(size(n))]';
[y,v]=dlsim(a,b,c,d,x,v0);  % call dlsim
stem(n,y); xlabel('n'); ylabel('y[n]');
axis([0,20,-0.2,0.02]);
grid;

%Unit impulse response
iu= [1 0*ones(size(n)-1)]';
[h,v1]=dimpulse(a,b,c,d,iu,n);  % call dimpulse
figure
stem(n,h); xlabel('n'); ylabel('h[n]');
axis([0,20,-0.1,1.1]);
grid;