t = -0.6:0.005:0.6;
T_s = 0.02;
n=-30:1:30;
x_n = 10*exp(-10*abs(n*T_s));

x_sinc = x_n * sinc((1/T_s)*(ones(length(n),1)*t-(n*T_s)'
         *ones(1,length(t))));

plot(t,x_sinc);
xlabel('t'); ylabel('x(t)')
axis([-0.6,0.6,0,10])
grid on
hold on
stem(n*T_s,x_n); 
hold off

figure
stairs(n*T_s,x_n);
xlabel('t'); ylabel('x(t)')
axis([-0.6,0.6,0,10])
grid on
hold on
stem(n*T_s,x_n); 
hold off

figure
plot(n*T_s,x_n);
xlabel('t'); ylabel('x(t)')
axis([-0.6,0.6,0,10])
grid on
hold on
stem(n*T_s,x_n); 
hold off
