w = 0:pi/300:2*pi; 
num = [1 0];
den = [1 -0.5];
[H,q] = freqz(num,den,w);
mag_H = abs(H); 
phase_H = angle(H)*180/pi;
plot(w,mag_H); 
axis([0,2*pi,0.6,2.1])
xlabel('frequency, radian'); ylabel('Magnitude');
grid on

figure
plot(w,phase_H);
xlabel('frequency, radian'); ylabel('Phase, degree');
axis([0,2*pi,-40,40])
grid on