t=-2:0.01:2;  % time interval [-2,2]
alpha = -0.5 +j*2*pi;

x = exp(alpha*t);

x1 = real(x); % x1(t) = Re{x(t)}
plot(t,x1); xlabel('t'); ylabel(' Re[x(t)]');
grid on;

x2 = imag(x); % x1(t) = Im{x(t)}
figure
plot(t,x2); xlabel('t'); ylabel(' Im[x(t)]');
grid on;
