a=[0 1;-2 -3];
b=[0;1];
c=[1 0];
d=[0];
v0=[1;0];
t=0:0.01:10;     % start time:time increment: final time
x= [0*ones(size(t))]';
[y,v]=lsim(a,b,c,d,x,t,v0);  % call lsim
plot(t,y);
axis([0,10,0,1.5]);
xlabel('t');
ylabel('y(t)');
grid;

%Unit impulse response
figure
sys=ss(a,b,c,d);  % call impulse
[y2,v2]=impulse(sys,t);  % call impulse
plot(t,y2);
axis([0,10,0,0.3]);
xlabel('t');
ylabel('y(t)');
grid;

